SDIFF(1)

NAME
sdiff - find differences between two files and merge interactively

SYNOPSIS
sdiff -o outfile [options] from-file to-file

DESCRIPTION
The sdiff command merges two files and interactively outputs the results to outfile. If from-file is a directory and to-file is not, sdiff compares the file in from-file whose file name is that of to-file, and vice versa. from-file and to-file may not both be directories. sdiff options begin with -, so normally from-file and to-file may not begin with -. However, -- as an argument by itself treats the remaining arguments as file names even if they begin with -. You may not use - as an input file. sdiff without -o (or --output) produces a side-by-side difference. This usage is obsolete; use diff --side-by-side instead.

  Options
Below is a summary of all of the options that GNU sdiff accepts. Each option has two equivalent names, one of which is a single letter preceded by -, and the other of which is a long name preceded by --. Multiple single letter options (unless they take an argument) can be combined into a single command line argument. Long named options can be abbreviated to any unique prefix of their name.

-a  Treat all files as text and compare them line-by-line, even if they do not appear to be text.

-b  Ignore changes in amount of white space.

-B  Ignore changes that just insert or delete blank lines.

-d  Change the algorithm to perhaps find a smaller set of changes. This makes sdiff slower (sometimes much slower).

-H  Use heuristics to speed handling of large files that have numerous scattered small changes.

--expand-tabs
    Expand tabs to spaces in the output, to preserve the alignment of tabs in the input files.

-i  Ignore changes in case; consider upper- and lower-case to be the same.

-I regexp
    Ignore changes that just insert or delete lines that match regexp.

--ignore-all-space
    Ignore white space when comparing lines.

--ignore-blank-lines
    Ignore changes that just insert or delete blank lines.

--ignore-case
    Ignore changes in case; consider upper- and lower-case to be the same.

--ignore-matching-lines=regexp
    Ignore changes that just insert or delete lines that match regexp.

--ignore-space-change
    Ignore changes in amount of white space.

-l

--left-column
    Print only the left column of two common lines.

--minimal
    Change the algorithm to perhaps find a smaller set of changes. This makes sdiff slower (sometimes much slower).

-o file

--output=file
    Put merged output into file. This option is required for merging.

-s

--suppress-common-lines
    Do not print common lines.

--speed-large-files
    Use heuristics to speed handling of large files that have numerous scattered small changes.

-t  Expand tabs to spaces in the output, to preserve the alignment of tabs in the input files.

--text
    Treat all files as text and compare them line-by-line, even if they do not appear to be text.

-v

--version
    Output the version number of sdiff.

-w columns

--width=columns
    Use an output width of columns. Note that for historical reasons, this option is -W in diff, -w in sdiff.

-W  Ignore horizontal white space when comparing lines. Note that for historical reasons, this option is -w in diff, -W in sdiff.

SEE ALSO
cmp(1), comm(1), diff(1), diff3(1).

DIAGNOSTICS
An exit status of 0 means no differences were found, 1 means some differences were found, and 2 means trouble.